Page MenuHomePhabricator

Prepare and check storage layer for smnwiki
Closed, ResolvedPublic

Description

The new wiki's visibility will be: public.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2020, 3:41 PM
Urbanecm updated the task description. (Show Details)Oct 7 2020, 3:45 PM

Thanks, let us know when the database is created, so we can sanitize it.

LSobanski moved this task from Triage to Blocked on the DBA board.Oct 8 2020, 9:53 AM

Note: Depending on when the DB is created we might need to apply the alter from: T265321: ipblocks_restrictions.ir_type is tinyint(1) in code but tinyint(4) in production

@Marostegui @LSobanski Hello, I've just created the database. Can you please do the needful?

Thank you. I will apply the alter, sanitization etc
Thanks!

Mentioned in SAL (#wikimedia-operations) [2020-10-19T12:16:09Z] <marostegui> Sanitize smnwiki on db1124:3315 and db2094:3315 - T264900

Alter done.

root@db1082.eqiad.wmnet[smnwiki]> show create table ipblocks_restrictions;
+-----------------------+---------------------------------------------------------------------------------------------------------------
| Table                 | Create Table
+-----------------------+---------------------------------------------------------------------------------------------------------------
| ipblocks_restrictions | CREATE TABLE `ipblocks_restrictions` (
  `ir_ipb_id` int(11) NOT NULL,
  `ir_type` tinyint(4) NOT NULL,
  `ir_value` int(11) NOT NULL,
  PRIMARY KEY (`ir_ipb_id`,`ir_type`,`ir_value`),
  KEY `ir_type_value` (`ir_type`,`ir_value`)
) ENGINE=InnoDB DEFAULT CHARSET=binary

Data has been redacted, a new user (my user) was correctly created clean so triggers works.
I am running a check data on all labsdb hosts before sending it for views creation.

Marostegui moved this task from Blocked to Ready on the DBA board.Oct 19 2020, 12:28 PM
LSobanski triaged this task as Medium priority.Oct 19 2020, 1:56 PM
Marostegui moved this task from Ready to Blocked on the DBA board.
Marostegui added subscribers: nskaggs, bd808, Bstorm.

check_private_data came back clean.
The following has been done:

  • created smnwiki_p
  • added grants to labsdbuser for smnwiki_p.

This is ready for cloud-services-team

Restricted Application edited projects, added cloud-services-team (Kanban); removed cloud-services-team. · View Herald TranscriptOct 19 2020, 2:07 PM
Marostegui removed Marostegui as the assignee of this task.Oct 21 2020, 6:04 AM

Mentioned in SAL (#wikimedia-operations) [2020-10-22T17:21:03Z] <bd808@cumin1001> Added views for new wiki: smnwiki T264900

bd808 closed this task as Resolved.Oct 22 2020, 5:25 PM
bd808 claimed this task.
$ ssh cumin1001.eqiad.wmnet
$ sudo /usr/local/bin/secure-cookbook wmcs.wikireplicas.add_wiki --task-id T264900 smnwiki
START - Cookbook wmcs.wikireplicas.add_wiki
Generating views...
Adding DNS
Finalizing meta_p
Added views for new wiki: smnwiki T264900
END (PASS) - Cookbook wmcs.wikireplicas.add_wiki (exit_code=0)
$ ssh login.toolforge.org
$ sql smnwiki
(u3518@smnwiki.analytics.db.svc.eqiad.wmflabs) [smnwiki_p]>
$ sql --cluster=web smnwiki
(u3518@smnwiki.web.db.svc.eqiad.wmflabs) [smnwiki_p]>
$ sql meta
(u3518@s7.analytics.db.svc.eqiad.wmflabs) [meta_p]> select * from wiki where dbname = 'smnwiki'\G
*************************** 1. row ***************************
          dbname: smnwiki
            lang: smn
            name: Wikipedia
          family: wikipedia
             url: https://smn.wikipedia.org
            size: 1
           slice: s5.labsdb
       is_closed: 0
        has_echo: 1
 has_flaggedrevs: 0
has_visualeditor: 1
    has_wikidata: 1
    is_sensitive: 0
1 row in set (0.00 sec)
Restricted Application added a project: User-bd808. · View Herald TranscriptOct 22 2020, 5:25 PM